diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index cf91b3c..c01ab93 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -8984,32 +8984,45 @@ These exports come from \refto{SetCategory}():
 ++ The class of totally ordered sets, that is, sets such that for each 
 ++ pair of elements \spad{(a,b)}
 ++ exactly one of the following relations holds \spad{a<b or a=b or b<a}
-++ and the relation is transitive, i.e.  \spad{a<b and b<c => a<c}.
+++ and the relation is transitive, that is, \spad{a<b and b<c => a<c}.
 
 OrderedSet(): Category == SetCategory with
+
     "<": (%,%) -> Boolean
       ++ x < y is a strict total ordering on the elements of the set.
+
     ">":         (%, %) -> Boolean
       ++ x > y is a greater than test.
+
     ">=":        (%, %) -> Boolean
       ++ x >= y is a greater than or equal test.
+
     "<=":        (%, %) -> Boolean
       ++ x <= y is a less than or equal test.
+
     max: (%,%) -> %
       ++ max(x,y) returns the maximum of x and y relative to "<".
+
     min: (%,%) -> %
       ++ min(x,y) returns the minimum of x and y relative to "<".
+
   add
     x,y: %
+
   -- These really ought to become some sort of macro
+
     max(x,y) ==
       x > y => x
       y
+
     min(x,y) ==
       x > y => y
       x
+
     ((x: %) >  (y: %)) : Boolean == y < x
+
     ((x: %) >= (y: %)) : Boolean == not (x < y)
+
     ((x: %) <= (y: %)) : Boolean == not (y < x)
 
 \end{chunk}
diff --git a/buglist b/buglist
index 0544b87..b2ecb84 100644
--- a/buglist
+++ b/buglist
@@ -965,18 +965,6 @@ typos 40348:
 
 
 =========================================================================
-typos 40346:
-
->compiling ORDSET.spad to ORDSET.nrlib
-
---->-->OrderedSet&(constructor): Missing left brace
-"The class of totally ordered sets, that is, sets such that for each pair of elements \\spad{(a,b)} exactly one of the following relations holds \\spad{a<b or a=b or b<a} and the relation is transitive, \\spadignore{i.e.} \\spad{a<b and \\spad{b<c} \\spad{=>} a<c}."
-
---->bookvol10.2.pamphlet-->OrderedSet(constructor): Missing left brace
-"The class of totally ordered sets, that is, sets such that for each pair of elements \\spad{(a,b)} exactly one of the following relations holds \\spad{a<b or a=b or b<a} and the relation is transitive, \\spadignore{i.e.} \\spad{a<b and \\spad{b<c} \\spad{=>} a<c}."
-
-
-=========================================================================
 typos 40345:
 
 >compiling REAL.spad to REAL.nrlib
@@ -40523,4 +40511,16 @@ typos 40347:
 --->bookvol10.3.pamphlet-->NumericalOptimizationProblem(constructor): Missing left brace
 "\\axiomType{NumericalOptimizationProblem} is a \\axiom{domain} for the representation of Numerical Optimization problems for use by ANNA. \\blankline The representation is a Union of two record types - one for otimization of a single function of one or more variables: \\blankline \\axiomType{Record}(\\br fn:\\axiomType{Expression DoubleFloat},\\br init:\\axiomType{List DoubleFloat},\\br lb:\\axiomType{List OrderedCompletion DoubleFloat},\\br cf:\\axiomType{List Expression DoubleFloat},\\br ub:\\axiomType{List OrderedCompletion DoubleFloat}) \\blankline and one for least-squares problems \\spadignore{i.e.} optimization of a set of observations of a data set: \\blankline \\axiomType{Record}(lfn:\\axiomType{List Expression DoubleFloat},\\br init:\\axiomType{List DoubleFloat})."
 
+fixed 20130317.05.tpd.patch
+=========================================================================
+typos 40346:
+
+>compiling ORDSET.spad to ORDSET.nrlib
+
+--->-->OrderedSet&(constructor): Missing left brace
+"The class of totally ordered sets, that is, sets such that for each pair of elements \\spad{(a,b)} exactly one of the following relations holds \\spad{a<b or a=b or b<a} and the relation is transitive, \\spadignore{i.e.} \\spad{a<b and \\spad{b<c} \\spad{=>} a<c}."
+
+--->bookvol10.2.pamphlet-->OrderedSet(constructor): Missing left brace
+"The class of totally ordered sets, that is, sets such that for each pair of elements \\spad{(a,b)} exactly one of the following relations holds \\spad{a<b or a=b or b<a} and the relation is transitive, \\spadignore{i.e.} \\spad{a<b and \\spad{b<c} \\spad{=>} a<c}."
+
 
diff --git a/changelog b/changelog
index 158113c..d178057 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130317 tpd src/axiom-website/patches.html 20130317.05.tpd.patch
+20130317 tpd buglist ORDSET fix 40346
+20130317 tpd books/bookvol10.2 ORDSET fix 40346
 20130317 tpd src/axiom-website/patches.html 20130317.04.tpd.patch
 20130317 tpd buglist OPTPROB fix 40347
 20130317 tpd books/bookvol10.3 OPTPROB fix 40347
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 3cbf9ff..b411ed5 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4093,5 +4093,7 @@ books/bookvol10.4 MAPPKG1 fix 40351
 books/bookvol10.4 MONAD fix 40350, add 7236
 <a href="patches/20130317.04.tpd.patch">20130317.04.tpd.patch</a>
 books/bookvol10.3 OPTPROB fix 40347
+<a href="patches/20130317.05.tpd.patch">20130317.05.tpd.patch</a>
+books/bookvol10.2 ORDSET fix 40346
  </body>
 </html>
